Ubuntu

unity::TimeUtil::TimeDelta returns an int value which overflows after 24 days of uptime

Reported by Keith Prickett on 2011-07-05
374
This bug affects 69 people
Affects Status Importance Assigned to Milestone
Unity
High
Brandon Schaefer
4.0
High
Brandon Schaefer
5.0
High
Brandon Schaefer
6.0
High
Brandon Schaefer
unity (Ubuntu)
High
Brandon Schaefer
Precise
High
Chris J Arges
Quantal
High
Timo Jyrinki

Bug Description

[Impact]

Icons disappearing after int32 delta time variable overflows in 24 days.

[Test Case]

Run the automated test to simulate what happens after to the timedelta ~24 days of Unity running.

[Regression Potential]

Low - only the datatype is changed and an automated test is included.

---

unity::TimeUtil::TimeDelta is used throughout Unity to compute time differences in milliseconds between events. Unfortunately, TimeDelta returns an int value, which can only express differences up to ~ 24 days. So after 24 days of uptime, Unity breaks. The breakage is described in the comments.

Original description:
This issue, to me, is the same issue as https://bugs.launchpad.net/ubuntu/+source/unity/+bug/762478. However a poster on their thinks this is only related to the nvidia graphics driver. I tend to disagree, nonelethess I am filing a new bug for it. The behavior is the same. The icons are not showing up in the Unity launcher. When I hover over them I can read the icon's "name" and clicking on it works. I tried unity --reset, unity --reset-icons, sudo restart gdm and finally only resetting my entire system fixed the issue (although the icons are back to their default now -- none of my custom icons are appearing). I do not have an NVIDIA graphics card, but rather, a built-in Intel one.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: unity 3.8.16-0ubuntu1~natty1
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic x86_64
Architecture: amd64
CompizPlugins: [core,bailer,detection,composite,opengl,decor,mousepoll,vpswitch,regex,animation,snap,expo,move,compiztoolbox,place,grid,imgpng,gnomecompat,wall,ezoom,workarounds,staticswitcher,resize,fade,unitymtgrabhandles,scale,session,unityshell]
CompositorRunning: compiz
CurrentDmesg:
 [ 29.030016] eth0: no IPv6 routers present
 [ 37.298652] EXT4-fs (sda1): re-mounted. Opts: errors=remount-ro,commit=0
 [ 85.910008] CE: hpet2 increased min_delta_ns to 7500 nsec
 [ 85.910015] CE: hpet2 increased min_delta_ns to 11250 nsec
 [ 85.910018] hrtimer: interrupt took 3365 ns
Date: Tue Jul 5 16:29:05 2011
DistUpgraded: Fresh install
DistroCodename: natty
DistroVariant: ubuntu
GraphicsCard:
 Intel Corporation 4 Series Chipset Integrated Graphics Controller [8086:2e12] (rev 03) (prog-if 00 [VGA controller])
   Subsystem: Dell Device [1028:0420]
   Subsystem: Dell Device [1028:0420]
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release amd64 (20110427.1)
InstallationMedia_: Ubuntu 11.04 "Natty Narwhal" - Release amd64 (20110427.1)
InstallationMedia__: Ubuntu 11.04 "Natty Narwhal" - Release amd64 (20110427.1)
MachineType: Dell Inc. OptiPlex 780
ProcEnviron:
 LANGUAGE=en_US:en
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-8-generic root=UUID=ebecbd9e-5adf-43ce-bc96-964abb961f59 ro quiet splash vt.handoff=7
ProcVersionSignature_: Ubuntu 2.6.38-8.42-generic 2.6.38.2
ProcVersionSignature__: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Renderer: Unknown
SourcePackage: unity
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 11/03/2010
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A06
dmi.board.name: 0C27VV
dmi.board.vendor: Dell Inc.
dmi.board.version: A02
dmi.chassis.type: 6
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA06:bd11/03/2010:svnDellInc.:pnOptiPlex780:pvr:rvnDellInc.:rn0C27VV:rvrA02:cvnDellInc.:ct6:cvr:
dmi.product.name: OptiPlex 780
dmi.sys.vendor: Dell Inc.
version.compiz: compiz 1:0.9.4+bzr20110606-0ubuntu1~natty2
version.ia32-libs: ia32-libs 20090808ubuntu13
version.libdrm2: libdrm2 2.4.23-1ubuntu6
version.libgl1-mesa-dri: libgl1-mesa-dri 7.10.2-0ubuntu2
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 7.10.2-0ubuntu2
version.xserver-xorg: xserver-xorg 1:7.6+4ubuntu3.1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.0-0ubuntu4
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.14.0-4ubuntu7.1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110107+b795ca6e-0ubuntu7

Keith Prickett (keith-prickett) wrote :
Keith Prickett (keith-prickett) wrote :

I've taken a screenshot. Notice that when I hover over the location where the icon should be, its title shows up.

Thomas Thurman (marnanel) wrote :

Hm, interesting. Can you tell us whether it still occurs in Oneiric?

Changed in unity (Ubuntu):
status: New → Incomplete
Bilal Shahid (s9iper1) on 2011-10-14
Changed in unity:
status: New → Incomplete

I just experienced this in Oneiric (64bit, fwiw, filed a separate bug 891160 to include the details of my system). HUPing compiz didn't help it (I haven't tried logging out yet though).

My unity panel looks exactly as in the screenshot above. However, I can get the tooltip for something that should be near the bottom of the panel ("Update manager" in my case) when I hover to the area similar to where the mouse pointer is in a screenshot from Keith.

It seems to have happened when I opened up too many applications (or maybe when I opened an application with wine, I am not sure). I am not logging out or rebooting to be able to help with debugging if anyone is willing to do so. Find me as "danilo" on #canonical or "danilos" on FreeNode.

Dash works correctly.

Changed in unity (Ubuntu):
status: Incomplete → Confirmed
Changed in unity:
status: Incomplete → Confirmed
Omer Akram (om26er) on 2011-11-23
summary: - No icons shown in Unity launcher
+ Launcher icons are all rendered up in top left corner
Changed in unity:
importance: Undecided → Medium
Changed in unity (Ubuntu):
importance: Undecided → Medium

Has there been no work done on this?

Tim Penhey (thumper) wrote :

Happening for @ajmitch on 5.4 on precise

I saw this on oneiric, but not precise yet.

Changed in unity:
importance: Medium → High
status: Confirmed → Triaged
Omer Akram (om26er) on 2012-03-21
Changed in unity:
status: Triaged → Confirmed
importance: High → Medium
Andy Neitzke (neitzke) wrote :

I got this on precise.

Daniel van Vugt (vanvugt) wrote :

Andy, can you please attach a screenshot so we can confirm this is still an issue on precise?

Changed in unity:
status: Confirmed → Incomplete

I have now reproduced this on Unity 5.12.0 with Ubuntu 12.04 LTS. I'm attaching a partial screenshot showing the affected launcher bar.

Sebastien Bacher (seb128) wrote :

what do you do to get in that state?

Download full text (4.5 KiB)

I left my computer on overnight. I usually find it is caused by
leaving the computer idle for some time. The screen saver or power
save for the monitor turns on and then when I unlock it is in that
state.

--
Keith A. Prickett

On Fri, Jun 29, 2012 at 10:57 AM, Sebastien Bacher <email address hidden> wrote:
> what do you do to get in that state?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/806248
>
> Title:
>  Launcher icons are all rendered up in top left corner
>
> Status in Unity:
>  Incomplete
> Status in unity 4.0 series:
>  Confirmed
> Status in unity 5.0 series:
>  Incomplete
> Status in unity 6.0 series:
>  Incomplete
> Status in “unity” package in Ubuntu:
>  Confirmed
>
> Bug description:
>  This issue, to me, is the same issue as
>  https://bugs.launchpad.net/ubuntu/+source/unity/+bug/762478.  However
>  a poster on their thinks this is only related to the nvidia graphics
>  driver.  I tend to disagree, nonelethess I am filing a new bug for it.
>  The behavior is the same.  The icons are not showing up in the Unity
>  launcher.  When I hover over them I can read the icon's "name" and
>  clicking on it works.  I tried unity --reset, unity --reset-icons,
>  sudo restart gdm and finally only resetting my entire system fixed the
>  issue (although the icons are back to their default now -- none of my
>  custom icons are appearing).  I do not have an NVIDIA graphics card,
>  but rather, a built-in Intel one.
>
>  ProblemType: Bug
>  DistroRelease: Ubuntu 11.04
>  Package: unity 3.8.16-0ubuntu1~natty1
>  ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
>  Uname: Linux 2.6.38-8-generic x86_64
>  Architecture: amd64
>  CompizPlugins: [core,bailer,detection,composite,opengl,decor,mousepoll,vpswitch,regex,animation,snap,expo,move,compiztoolbox,place,grid,imgpng,gnomecompat,wall,ezoom,workarounds,staticswitcher,resize,fade,unitymtgrabhandles,scale,session,unityshell]
>  CompositorRunning: compiz
>  CurrentDmesg:
>   [   29.030016] eth0: no IPv6 routers present
>   [   37.298652] EXT4-fs (sda1): re-mounted. Opts: errors=remount-ro,commit=0
>   [   85.910008] CE: hpet2 increased min_delta_ns to 7500 nsec
>   [   85.910015] CE: hpet2 increased min_delta_ns to 11250 nsec
>   [   85.910018] hrtimer: interrupt took 3365 ns
>  Date: Tue Jul  5 16:29:05 2011
>  DistUpgraded: Fresh install
>  DistroCodename: natty
>  DistroVariant: ubuntu
>  GraphicsCard:
>   Intel Corporation 4 Series Chipset Integrated Graphics Controller [8086:2e12] (rev 03) (prog-if 00 [VGA controller])
>     Subsystem: Dell Device [1028:0420]
>     Subsystem: Dell Device [1028:0420]
>  InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release amd64 (20110427.1)
>  InstallationMedia_: Ubuntu 11.04 "Natty Narwhal" - Release amd64 (20110427.1)
>  InstallationMedia__: Ubuntu 11.04 "Natty Narwhal" - Release amd64 (20110427.1)
>  MachineType: Dell Inc. OptiPlex 780
>  ProcEnviron:
>   LANGUAGE=en_US:en
>   PATH=(custom, user)
>   LANG=en_US.UTF-8
>   SHELL=/bin/bash
>  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-8-generic root=UUID=ebecbd9e-5adf-43ce-bc96-964abb961f59 ro quiet splash vt.hand...

Read more...

I left my computer on overnight. I usually find it is caused by leaving the computer idle for some time. The screen saver or power save for the monitor turns on and then when I unlock it is in that state.

Actually for me it seems to happen somewhere around the 50-60 day uptime. And then after a while it will actually turn normal again. That is of course still running Ubuntu 11.10, the computer is up for 170 days at this moment...

This happened to me and with my friend...

I had to fresh install UBuntu again to "solve" this issue.

Miron Cuperman (devrandom) wrote :

This just happened to me on Precise. I did --reset-icons and restarted to recover. I should have tried a plain restart first.

Logging-out and back in did not recover.

Omer Akram (om26er) wrote :

Miron, so you mean you still have this issue even after restarting your session? Can you attach a screenshot so we are sure if its exactly the same bug as this one.

mycroes (mycroes) wrote :

I can confirm what Miron is saying with regards to behaviour in older Ubuntu releases / older Unity versions. I could also log out and log in again and still have the same issue going on.

mycroes (mycroes) wrote :

Today I arrived at the office, launchers all gone. Uptime: 25 days, 5 mins. As I said before, this issue seems to relate to uptime. In the past it would happen that after a few days the issue is gone again, and then at the next 25-day mark it returns. If I can I'll log out to confirm Miron's statement.

mycroes (mycroes) wrote :

And 50 days uptime and the icons are back... Unfortunately I missed 49 days and 59 minutes, uptime output was "08:02:37 up 50 days, 0 min, 8 users, load average: 1.66, 1.07, 0.85" when I arrived at the office. Actually it showed just file-roller at first (don't know why, but that's all I saw) and after 'unity --replace' I have all my icons back. Now I'm hoping someone will fix this within 25 days, it's getting annoying.

Rickard Westman (rwestman) wrote :

I have seen this problem three times now with Ubuntu 11.04, and the uptime was 24 days plus an unknown number of hours each time. The last time it happened, I was actually at the computer at the time, and the uptime was 24 days, 21 hours, and 5 minutes when I noticed the messed-up launcher. (I was writing an email and probably noticed within 15 minutes or so.)

The description in #20 sounds awfully much like some kind of signed tick counter overflowing into its negative range, with some other code not handling that properly until the counter gets into the positive range again. A signed 32-bit millisecond counter goes into negative territory after 2147483648 ms which is 24 days, 20 hours, and 31 minutes. This is close enough to my latest uptime observation that I suspect it's not a coincidence...

Rickard,
After you commented I looked at my uptime, it was about 18 days so I was looking forward to coming into work this morning. What did I find?

$ uptime
 10:47:41 up 25 days, 33 min, 10 users, load average: 1.40, 1.11, 1.02

Now all my icons are GONE! I think you are 100% right on about the counter overflowing. I'm not familiar enough with this code but am happy to provide another data point here. Unfortunately, I need to restart my system now.

I'm running Ubuntu 12.04 LTS 64-bit

mycroes (mycroes) wrote :

Just to let you all know, I'm at 77 days uptime again (so the magical barrier was in the weekend) and the launcher is messed up again...

Mihai Capotă (mihaic) wrote :

I can reproduce the bug on two Ubuntu 12.04 computers, one running Nouveau and the other Intel graphics drivers. I can also confirm that it happens during the 24th day of uptime.

gareth (garethbaxter) wrote :

I just had this problem for the first time in 12.04.
My uptime is very similar to that reported by Keith Prickett:

 16:05:56 up 25 days, 1:37, 3 users, load average: 0.72, 0.79, 0.57

Noticed when I logged in after having screen locked, so could have occurred any time in the last 21hrs

Omer Akram (om26er) on 2012-11-06
summary: - Launcher icons are all rendered up in top left corner
+ Launcher icons are all rendered up in top left corner (happens after
+ long uptime)

I had the same issue.

- I had added Chromium browser to the launcher.
- The system was up more than 20 days.
- I tried "unity --reset" and "unity --reset-icon" followed by a restart with no effect.
- I tried to shutdown using the Shutdown menu option, but all it did was log me off.
- After using the power button to force power off, then restarting, icons reappeared minus the Chromium icon (probably due to the "unity --reset" command)

mycroes (mycroes) wrote :

Just to confirm the confirmation of what everyone is confirming, at 100 days uptime my launcher is working fine again! (And yes, it was broken from 75-99.)

Leland Woodbury (leland-g) wrote :

Ditto for me on 12.04, 24th day after reboot.

Exact same behaviour happens here on 12.04. Didn't know about the "magic number" though.

Andrew Mitchell (ajmitch) wrote :

I've found where the TimeDelta method is returning a negative number after mocking the value returned from clock_gettime(), making this value*1000 overflow a signed int after ~25 days uptime.

Changed in unity:
assignee: nobody → Andrew Mitchell (ajmitch)
Sean Brisbane (s-brisbane1) wrote :

Just seen this on precise after coming back from a long weekend. My uptime is 26 days. unity --reset-icons initially complained about not having permissions.

i tried unity --reset and unity --reset-icons again, with no effect.

Mihai Capotă (mihaic) wrote :

Andrew Mitchell, are you working on a patch? Both my computers running Ubuntu 12.04 are affected again after 24 days of uptime.

Mihai Capotă (mihaic) on 2012-11-20
summary: - Launcher icons are all rendered up in top left corner (happens after
- long uptime)
+ unity::TimeUtil::TimeDelta returns an int value which overflows after 24
+ days of uptime
description: updated

It's that (up)time again for me, and still nog fix from Canonical. How can they call this an LTS release?

Daniel van Vugt (vanvugt) wrote :

Looks like a trivial fix to unity-shared/TimeUtil.h

Changed in unity:
milestone: none → 7.0.0
assignee: Andrew Mitchell (ajmitch) → nobody
status: Incomplete → Triaged
Changed in unity (Ubuntu):
status: Confirmed → Triaged
Changed in unity:
importance: Medium → High
Changed in unity (Ubuntu):
importance: Medium → High
Daniel van Vugt (vanvugt) wrote :

Hmm, trivial except for the fact that you would also have to modify all the code that calls TimeDelta to be 64-bit friendly.

Stephen M. Webb (bregma) on 2012-11-26
Changed in unity:
assignee: nobody → Unity Maintainers (unity-maintainers-team)
Changed in unity (Ubuntu):
assignee: nobody → Unity Maintainers (unity-maintainers-team)
Changed in unity:
assignee: Unity Maintainers (unity-maintainers-team) → Brandon Schaefer (brandontschaefer)
status: Triaged → Won't Fix
status: Won't Fix → In Progress
Stephen M. Webb (bregma) on 2012-11-30
Changed in unity (Ubuntu):
assignee: Unity Maintainers (unity-maintainers-team) → Brandon Schaefer (brandontschaefer)
Changed in unity:
status: In Progress → Fix Committed
Changed in unity (Ubuntu):
status: Triaged → Fix Committed
mycroes (mycroes) wrote :

So apparently this is fixed, but where will the fix end up? Will it go into precise? And into quantal? Just updated Unity on precise and am still experiencing this...

Daniel van Vugt (vanvugt) wrote :

If you look at the top of the bug it says Fix Committed in Unity 7.0 only so far. That means Ubuntu 13.04. Whether it gets backported to quantal/precise depends on demand and if there are any conflicts.

mycroes (mycroes) wrote :

So what does that mean for this bug status? Is this half-fixed, fully-closed, or fully-open? Both Precise and Quantal are within support window and I'd like to see this fixed in both. Also I want to add that when this bug happens, CPU load of a single core goes to full (near-infinite loop I guess?), so it's a serious issue. Imagine anyone running Ubuntu 12.04 LTS Server with Unity installed having to restart his server every 25 days...

Yeah, that'd be me. A reboot just to fix an icon display problem? Seriously?

It's a silly bug that's been open more than a year.

It's 2012. We can do better than this.

Great work Brandon Schaefer, thanks for trying to fix this! Is there an easy way for us to test your fix? I.e. do you have a ppa or something like that with a build for 12.04?

description: updated

@Frank

Hey, there is a ppa here:
ppa:sil2100/precise

You can thank Łukasz for it :).

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 6.12.0daily12.12.05-0ubuntu1

---------------
unity (6.12.0daily12.12.05-0ubuntu1) raring; urgency=low

  [ Michael Terry ]
  * debian/control:
    - Update Vcs-Bzr
  * Automatic snapshot from revision 2905 (bootstrap)
    - Hide launcher tooltip once shortcut overlay appears (LP: #1035860)
    - Update shortcut overlay design (LP: #1049601)
    - Don't cut off shadow on launcher icon drag window (LP: #765715)
    - Provide more immediate feedback when clickong on launcher (LP: #893140)
    - Decorate spread windows in switcher (LP: #838222)
    - Make sure to initialize a variable before it can be used (LP: #1073516)
    - Fix FTBFS due to BAMF API change (LP: #1077937)
    - Run gtest during build (LP: #133637)
    - Make shopping lens test more robust (LP: #1077131)
    - Fix some random autopilot test failures (LP: #1078448)
    - Fix autopilot tests for details mode (LP: #1073892)
    - Fix autopilot tests for indicator-session (LP: #1075350)
    - Fix autopilot tests for non-English locales (LP: #1075898)

  [ Didier Roche ]
  * debian/control:
    - adding libgtest-dev and google-mock build-dep now that there are in main
      (LP: #1076763)
    - add libunity-core -> unity-common dep (LP: #1079132)
    - do not have unity-common dep on compiz-gnome: the migration code is only
      ran if compiz-gnome is installed, but compiz-gnome is pulled by compiz
      directly. We don't care if the migration code isn't executed.

  [ bschaefer ]
  * Ported to nux 4.0

  [ Ricardo Salveti de Araujo ]
  * Doesn't need to depend on gcc 4.6 anymore (LP: #1044836)

  [ Nick Dedekind ]
  * Previews loading more than 454 lines of description text crash Unity
    (LP: #1066788)

  [ Brandon Schaefer ]
  * unity::TimeUtil::TimeDelta returns an int value which overflows
    after 24 days of uptime (LP: #806248)
  * Top panel "tooltip" is gone (regression) (LP: #1085045)
  * Dash - Implement *overlay scrollbars* in Dash. Existing scrollbars
    are too thin to grab on to. (LP: #608124)

  [ Andrea Azzarone ]
  * Dash - Regression: Clicking between filter label and 'All' button no
    longer toggles filter label (LP: #1080534)

  [ Didier Roche ]
  * libunity-core fails without the schemas from unity-common (LP:
    #1079132)

  [ Manuel de la Pena ]
  * There is no common ui element that behaves like a url link (LP:
    #1067705)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 2956
 -- Automatic PS uploader <email address hidden> Wed, 05 Dec 2012 09:27:29 +0000

Changed in unity (Ubuntu):
status: Fix Committed → Fix Released
Łukasz Zemczak (sil2100) wrote :

As Brandon mentioned, everyone using precise can find a package with the fix in my local PPA:
ppa:sil2100/precise

If you have precise-proposed enabled, you'll have to explicitly say that you want to install version 5.16.0-0ubuntu2~timefix1. Otherwise, a simple update of unity packages is enough.

Great, you fixed it. Thanks a lot Łukasz! When can we expect this to land in the official repo's?

Daniel van Vugt (vanvugt) wrote :

Official release versions with the fix are listed at the top of the bug. Click on the milestones and sometimes you might get an estimated release date. If not, then there is no planned release date as yet.

mycroes (mycroes) wrote :

Confirming the fix as well! Installing as #43 (on precise), `unity --replace &`, launcher is back and cpu hog is gone. Thanks for the effort guys!

Changed in unity (Ubuntu Quantal):
assignee: nobody → Timo Jyrinki (timo-jyrinki)
status: New → In Progress
milestone: none → quantal-updates
tags: added: precise
Matias Potocnjak (w-matias) wrote :

Confirming also the fix, but as of now unity was 5.18.0 it won't install "simply" so after adding the ppa in #43 and enabling the "precise-proposed" then the following command do the install :

sudo apt-get -V install unity=5.16.0-0ubuntu2~timefix1 libunity-core-5.0-5=5.16.0-0ubuntu2~timefix1 unity-common=5.16.0-0ubuntu2~timefix1 unity-services=5.16.0-0ubuntu2~timefix1

Then execute "unity --replace &"

Launcher is back.

Hope this help.

Hello Keith, or anyone else affected,

Accepted unity into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/unity/6.12.0-0ubuntu0.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in unity (Ubuntu Quantal):
status: In Progress → Fix Committed
tags: added: verification-needed
Timo Jyrinki (timo-jyrinki) wrote :

I've run the fixed 6.12 version since early December, but sadly I've shut down meanwhile so did not get to test the real setup. The automated test(s) passes, so presumably the actual issue is also now properly fixed.

tags: added: verification-done
removed: verification-needed

This is needed for precise as well. What can we do to get an SRU asap?

Chris J Arges (arges) on 2013-01-08
Changed in unity (Ubuntu Precise):
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in unity (Ubuntu Precise):
status: New → Confirmed
Chris J Arges (arges) on 2013-01-08
Changed in unity (Ubuntu Precise):
assignee: nobody → Chris J Arges (arges)
Chris J Arges (arges) wrote :

Attached is the fix backported to precise.
You can find a testbuild here:
https://launchpad.net/~arges/+archive/bugfixes/+sourcepub/2917447/+listing-archive-extra

Changed in unity (Ubuntu Precise):
status: Confirmed → In Progress
Didier Roche (didrocks) wrote :

@Chris: can you please propose a merge request from https://code.launchpad.net/~unity-team/unity/5.0 to ~ubuntu-desktop/unity/precise as we issue our release from this one? You just need to bzr merge the commit and complete the changelog as you have done in the debdiff?

I will then release the SRU from that branch. Thanks! :)

Chris J Arges (arges) wrote :

@didrocks
Ok done! Thanks for the help.

David R. Hedges (p14nd4) wrote :

$ uptime
 13:51:16 up 24 days, 21:08, 2 users, load average: 0.51, 0.57, 0.54

$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 12.10
Release: 12.10
Codename: quantal

This bug was triggered for me today, running unity 6.10.0-0ubuntu2. Re-launching unity didn't fix it.

I enabled quantal-proposed, cherry-picked the unity install from update-manager (6.12.0-0ubuntu0.2), then re-launched unity and my dock icons returned.

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 6.12.0-0ubuntu0.2

---------------
unity (6.12.0-0ubuntu0.2) quantal-proposed; urgency=low

  * Cherry-pick a fix for regression in top panel title (LP: #1085045)
  * Cherry-pick a fix for unity::TimeUtil::TimeDelta overflow (LP: #806248)

unity (6.12.0-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream release.
    - Includes two already cherry-picked fixes in Ubuntu
    - Unregister gdbus object in the dtor (LP: #1047760)
    - Top panel "tooltip" got out of sync when navigating with the
      keyboard (LP: #1067358)
    - Fix escaping of _panel_title (LP: #1067357)
    - Fix ALT+Tab switches to incorrect window (LP: #1071298)
    - Stop Unity UI elements from flickering in some cases (LP: #1070735)
 -- Timo Jyrinki <email address hidden> Mon, 03 Dec 2012 11:35:27 +0200

Changed in unity (Ubuntu Quantal):
status: Fix Committed → Fix Released
Margarita Manterola (marga-9) wrote :

Hi!

Nice to see that this was fixed for Quantal. Will it get fixed for Precise soon?

Thanks!

--
Regards,
Marga

Norman Rasmussen (normanr) wrote :

Friendly ping for a precise backport :-)

Changed in unity (Ubuntu Precise):
milestone: none → precise-updates
Changed in unity (Ubuntu Quantal):
importance: Undecided → High
Timo Jyrinki (timo-jyrinki) wrote :

Friendly resubmit by cherry-picking, adding Chris's changelog entry and doing a merge proposal.

Chris J Arges (arges) wrote :

@timo-jyrinki:
Thanks.

So I've done a debdiff for precise, which I was then told to do a merge proposal for.
I did the merge proprosal and subscribed ubuntu-sru and ubuntu-sponsors.
I see that you are doing yet another merge proposal, is there something I did incorrectly that caused an issue?
I'd like to be able to get this correct next time.

Timo Jyrinki (timo-jyrinki) wrote :

@arges: Hi. So otherwise all fine but we have the packaging in a different branch (lp:~ubuntu-desktop/unity/precise), to where we do merges from the upstream branch (lp:unity/5.0). Didier's message was a bit compact, but meant that you'd bzr branch the packaging branch, do bzr merge lp:unity/5.0 to pick up this wanted change to the packaging branch and add the changelog entry there. Since you only proposed merging - via Launchpad - the upstream branch to the packaging branch, it lacked the changelog entry compared to eg. your debdiff. I just took the changelog entry from your debdiff after the merging and offered that together with the merged upstream commit (identical to your debdiff) so that it's ready for upload immediately after accepting.

I think that https://wiki.ubuntu.com/StableReleaseUpdates could use some updating to promote the bazaar branch usage over debdiff more, since it's more convenient for the sponsors / SRU team than debdiff:s that they need to download and apply manually. Sometimes it's hard to find the correct, up-to-date packaging branch, though.

Note that in raring Unity stack upstream + packaging branches are again combined since this separate branch setup requires more of this kind of branch merging. The only difference with these separate branches after all is that the upstream branch has a cleaner revision history and the packaging branch has the additional debian/ directory.

Hello Keith, or anyone else affected,

Accepted unity into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/unity/5.18.0-0ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in unity (Ubuntu Precise):
status: In Progress → Fix Committed
tags: removed: verification-done
tags: added: verification-needed
Colin Watson (cjwatson) wrote :

Actually accepted now; not sure what went wrong before.

Alec Warner (antarus) wrote :

The proposed package is verified to fix the bug on Precise here.

-A

tags: added: verification-done
removed: verification-needed
Colin Watson (cjwatson) wrote :

Waiving the usual waiting period for precise-updates, since I want to have this in 12.04.2.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 5.18.0-0ubuntu2

---------------
unity (5.18.0-0ubuntu2) precise; urgency=low

  [ Brandon Schaefer ]
  * Change TimeUtil to use int64, so the buffer wont overflow within
    our lifetimes. (LP: #806248)
 -- Chris J Arges <email address hidden> Tue, 08 Jan 2013 17:32:10 -0600

Changed in unity (Ubuntu Precise):
status: Fix Committed → Fix Released
Stephen M. Webb (bregma) on 2013-02-17
Changed in unity:
status: Fix Committed → Fix Released
Changed in unity:
status: Fix Released → Fix Committed
Stephen M. Webb (bregma) wrote :

Fix Released in Unity Unity 7.0.0 "R series".

Changed in unity:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related blueprints